class 'p03_l06_m01_crane'
function p03_l06_m01_crane:__init()
 self.state=nil
 self.positionDown=nil
 self.positionUp=nil

 self.arrChengesEl={}
 self.object=nil
 self.tween=nil

 self.paramChange={}
end



function p03_l06_m01_crane:setObject(param)
  self.object=param
end

function p03_l06_m01_crane:getObject()
 return self.object
end

function p03_l06_m01_crane:setState(param)
  self.state=param
end

function p03_l06_m01_crane:getState()
 return self.state
end

function p03_l06_m01_crane:setPosDown(param)
  self.positionDown=param
end

function p03_l06_m01_crane:getPosDown()
  return self.positionDown
end

function p03_l06_m01_crane:setPosUp(param)
  self.positionUp=param
end

function p03_l06_m01_crane:getPosUp()
  return self.positionUp
end

function p03_l06_m01_crane:setArrChenges(param)
  self.arrChengesEl=param
end

function p03_l06_m01_crane:getArrChenges()
  return self.arrChengesEl
end

function p03_l06_m01_crane:setArrParamChenges(param)
  self.paramChange=param
end

function p03_l06_m01_crane:getArrParamChenges()
  return self.paramChange
end

function p03_l06_m01_crane:setTween(param)
  self.tween=param
end

function p03_l06_m01_crane:getTween()
  return self.tween
end

--function p03_l06_m01_crane:getState()
-- return self.state       self.paramChange
--end


